# Rook Maintainers

This page lists all active maintainers and their areas of expertise. This can be used for routing PRs, questions, etc. to the right place.

* See [CONTRIBUTING.md](CONTRIBUTING.md) for general contribution guidelines.
* See [GOVERNANCE.md](GOVERNANCE.md) for governance guidelines and maintainer responsibilities.

## Senior maintainers

* Bassam Tabbara <bassam@upbound.io> ([bassam](https://github.com/bassam))
  * Catch-all, architecture, strategy, build and packaging
* Travis Nielsen <tnielsen@redhat.com> ([travisn](https://github.com/travisn))
  * Ceph, Operators/Orchestration, Test automation
* Jared Watts <jared@upbound.io> ([jbw976](https://github.com/jbw976))
  * Framework, APIs, CockroachDB, Minio

## Maintainers

Maintainers will be added according to the [process for adding a maintainer](GOVERNANCE.md#becoming-a-maintainer) in the [governance](GOVERNANCE.md).

* Alexander Trost <galexrt@googlemail.com> ([galexrt](https://github.com/galexrt))
  * Ceph, Operators/Orchestration, User support

## Emeritus maintainers

There are currently no emeritus maintainers.  This list will be updated according to the [process for removing a maintainer](GOVERNANCE.md#removing-a-maintainer) in the [governance](GOVERNANCE.md).

## Code Owners

Code owners, as described in the [change approval process](GOVERNANCE.md#change-approval) of the governance, can be found in [`CODE-OWNERS`](CODE-OWNERS) files.

## Friends of Rook

This section lists people that are not currently maintainers but have demonstrated value to the community.
They typically help out with technical, code and design reviews and also with support and troubleshooting.
Feel free to loop them in as needed.

* Blaine Gardner <blaine.gardner@suse.com> ([BlaineEXE](https://github.com/BlaineEXE))
* Christian Hüning ([christianhuening](https://github.com/christianhuening))
* Dan Kerns <kerns@pobox.com> ([DanKerns](https://github.com/DanKerns))
* Dan Mick <dan.mick@redhat.com> ([dmick](https://github.com/dmick))
* David González <godboole@gmail.com> ([dgonzalezruiz](https://github.com/dgonzalezruiz))
* Dennis Chen <dennis.chen@arm.com> ([arm64b](https://github.com/arm64b))
* Divesh ([dangula](https://github.com/dangula))
* Ganesh Maharaj Mahalingam <ganesh.mahalingam@intel.com> ([ganeshmaharaj](https://github.com/ganeshmaharaj))
* Huamin Chen <hchen@redhat.com> ([rootfs](https://github.com/rootfs))
* Hunter Nield ([hunter](https://github.com/hunter))
* Illya Chekrygin <illya.chekrygin@gmail.com> ([ichekrygin](https://github.com/ichekrygin))
* John Spray <john.spray@redhat.com> ([jcsp](https://github.com/jcsp))
* Joseph Jacks <jacks.joe@gmail.com> ([josephjacks](https://github.com/josephjacks))
* Rohan Gupta <rohanrgupta1996@gmail.com> ([rohan47](https://github.com/rohan47))
* Sage Weil <sage@redhat.com> ([liewegas](https://github.com/liewegas))
* Steve Leon <kokhang@gmail.com> ([kokhang](https://github.com/kokhang))
* Tony Allen <tallen@lyft.com> ([tonya11en](https://github.com/tonya11en))
